/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package counter

import (
	e "simrs-vx/internal/domain/main-entities/counter"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Counter) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Code = inputSrc.Code
	data.Name = inputSrc.Name
	data.Number = inputSrc.Number
	data.Parent_Id = inputSrc.Parent_Id
	data.Type_Code = inputSrc.Type_Code
	data.Queue_Code = inputSrc.Queue_Code
}
